.icon-cards {
	padding-top: var(--padding-top, 50px);
    padding-bottom: var(--padding-bottom, 50px);
	padding-left: 40px;
    padding-right: 40px;
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.icon-cards__section-title {
	max-width: 1600px;
    margin: 0 auto;
    display: flex;
    justify-content: center;
}

.icon-cards__grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    margin: 0 auto;
    max-width: 1600px;
}

.icon-card {
	position: relative;
    display: flex;
    flex-direction: column;
    gap: 30px;
    background: #F5F5F5;
    border-radius: 20px;
    padding: 50px 30px;
    border: 1px solid #f5f5f5;
    transition: border-color 0.3s ease;
}

.icon-card::before {
	content: "";
    position: absolute;
    inset: 0;
    background: url(/wp-content/uploads/2026/01/icon-card-bg.png);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    opacity: 0;
    transition: opacity 0.3s ease;
    z-index: 0;
    border-radius: 20px;
    filter: brightness(110%);
}

.icon-card:hover {
	border-color: #449B23;
}

.icon-card:hover::before {
	opacity: 0.7;
}

.icon-card > * {
    position: relative;
    z-index: 1;
}

.icon-card__icon {
	padding-bottom: 20px;
}

.icon-card__icon img {
	min-width: 70px;
    min-height: 70px;
    max-width: 70px;
    max-height: 70px;
    aspect-ratio: 1/1;
}

/* Tablet */
@media (max-width: 1024px) {
    .icon-cards__grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* Mobile */
@media (max-width: 767px) {

	.icon-cards {
    	padding-top: var(--padding-top-mobile, 30px);
        padding-bottom: var(--padding-bottom-mobile, 30px);
        padding-left: 20px;
        padding-right: 20px;
    }

    .icon-cards__grid {
        grid-template-columns: 1fr;
    }
    
    .icon-card {
    	padding: 50px 20px;
	}
    
}